## org.exist.xquery.util
Class HTTPUtils

    java.lang.Object
      org.exist.xquery.util.HTTPUtils

public class HTTPUtils
extends java.lang.Object

A place holder for static utility functions related to HTTP.

Author:
  jmv

Constructor Summary
`HTTPUtils()`

Method Summary
`static void` `addLastModifiedHeader(Sequence result, XQueryContext context)` Feature "Guess last modification time for an XQuery result"; the HTTP header Last-Modified is filled with most recent time stamp among all XQuery documents appearing in the actual response.
`static java.lang.String` `printStackTraceHTML(java.lang.Throwable e)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPUtils

    public HTTPUtils()

Method Detail

### addLastModifiedHeader

    public static void addLastModifiedHeader(Sequence result,
                                             XQueryContext context)

  Feature "Guess last modification time for an XQuery result"; the HTTP header Last-Modified is filled with most recent time stamp among all XQuery documents appearing in the actual response. Note however, that the actual response can be influenced, through tests in the query, by documents more recent.

### printStackTraceHTML

    public static java.lang.String printStackTraceHTML(java.lang.Throwable e)

Copyright (C) Wolfgang Meier. All rights reserved.